\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{unibeamer}[2008/07/14 University of Ulm Corporate Design]


%\PassOptionsToClass{10pt,ignorenonframetext,slidestop,fleqn}{beamer}%
\PassOptionsToClass{9pt,slidestop,fleqn}{beamer}%
\DeclareOption{handout}{%
  \PassOptionsToClass{handout}{beamer}%
}



\ProcessOptions\relax

\LoadClass{beamer}

\RequirePackage{mathptmx}
\RequirePackage{amsmath, amsthm, amsfonts}
\RequirePackage{amssymb}
\RequirePackage{helvet}
\RequirePackage{graphicx,ae}
\RequirePackage{pgf}
\RequirePackage{ifthen}
\RequirePackage{calc}

\AtEndOfClass{%
\usetheme{Boadilla}

\usepackage[latin1]{inputenc} %schrift helvetica
\usepackage[T1]{fontenc}
\renewcommand{\sfdefault}{phv}
\renewcommand{\rmdefault}{ptm}
\renewcommand{\ttdefault}{pcr}
\renewcommand{\familydefault}{\sfdefault}
\usepackage{helvet}

\usepackage{setspace}%zeilenabstand 1.5
\renewcommand{\baselinestretch}{1.5}

%\definecolor{ecs100}{RGB}{86,170,28} %Mathegrün
%\definecolor{ecs100}{RGB}{163,38,56} %Informatikrosa
%\definecolor{ecs100}{RGB}{125,154,170} %Uniweit
\definecolor{ecs100}{RGB}{38,84,124} %medizin


\setbeamercolor{structure}{fg=ecs100,bg=white}
\setbeamertemplate{section in toc}[default]
\setbeamertemplate{itemize items}[default]
\setbeamertemplate{enumerate items}[default]
\setbeamertemplate{navigation symbols}{}
\setbeamertemplate{blocks}[rounded][shadow=false]
\setbeamertemplate{footline}{}
\setbeamersize{text margin left = 35pt}

\setbeamertemplate{headline}
{%
\vspace*{2.5ex}%
\begin{beamercolorbox}[wd=0.08\textwidth,ht=2.5ex,dp=0.5ex,leftskip=.em,rightskip=.5em]{author in head/foot}%
\usebeamerfont{author in head/foot}%
\centering{Page \insertframenumber}
\end{beamercolorbox}%
\vspace*{-3ex}%
\hspace*{0.07\textwidth}%
\begin{beamercolorbox}[wd=0.92\textwidth,ht=2.5ex,dp=0.5ex,left,leftskip=.1em]{title}%
\begin{picture}(0,0){\rule[2.3ex]{\textwidth}{0.2ex}}\end{picture}% 2ex - 0.2ex = 1.8ex
\usebeamerfont{title in head/foot}%
\qquad \insertshorttitle \; $|$ \ifthenelse{\value{section}>0}{\insertsection}{\insertshortauthor} \; $|$ \insertshortdate \hfill
\end{beamercolorbox}%
}
\setbeamertemplate{frametitle}
{%
\vspace*{1ex}          % vspace above the tile line %m
\hspace*{-35pt}
\usebeamercolor{title} \bf \large \insertframetitle \\ \vspace*{0.5ex}%
}

\setbeamertemplate{navigation symbols}{}
\AtBeginSection[] % Do nothing for \section*
{
\begin{frame}<beamer>
\frametitle{\inserttitle}
\tableofcontents[currentsection]%,hideothersubsections]
\end{frame}
}

\hypersetup{
	colorlinks=false
}
\frenchspacing

\addtolength{\textwidth}{-1cm}







\newcommand{\uutitleframe}{
\frame[plain] { % The title page
\vspace*{.8em}
\hfill
\includegraphics[width=.42\textwidth +.42cm]{uni-logo.pdf}
\hspace*{.8em}
\hspace*{-0.9cm}
\vfill
\vspace*{0.5cm}
\hspace*{-27pt}
\hspace*{-2.0\marginparpush}\includegraphics[width=\paperwidth]{LehreWS0910}

\vfill

\parbox{0.10\linewidth}{ \mbox{} }
\hspace*{-0.5cm}
\parbox{0.38\linewidth}{\footnotesize \insertauthor \;  \newline \insertdate}%m
\hspace*{0.15\linewidth}%m
%\hfill
\parbox{0.6\linewidth}{\textcolor{ecs100}{\large \inserttitle}}
\hspace*{-1cm}

%\parbox{0.35\linewidth}{\tiny \insertauthor \; $|$ \insertdate} urspruenglich so gewesen
%\parbox{0.35\linewidth}{\tiny \insertauthor \; \newline \insertinstitute \newline \insertdate}
%\parbox{0.35\linewidth}{\tiny \insertauthor \; \newline \insertinstitute \newline \insertdate}
\hspace*{0.15\linewidth}
\parbox{0.48\linewidth}{\textcolor{ecs100}{\tiny \insertsubtitle}}
}
\leftskip 3em   % affects slides after title slide
}

\newcommand{\uuendframe}{
\frame[plain] { % The title page
\vspace*{.8em}
\hfill
\includegraphics[width=.42\textwidth +.42cm]{uni-logo.pdf}
\hspace*{.8em}
\hspace*{-0.9cm}
\vfill
\vspace*{0.5cm}
\hspace*{-27pt}
\hspace*{-2.0\marginparpush}\includegraphics[width=\paperwidth]{LehreWS0910}

\vfill

\parbox{0.10\linewidth}{ \mbox{} }
\hspace*{-0.5cm}
\parbox{0.38\linewidth}{\footnotesize \insertauthor \;  \newline \insertdate}%m
\hspace*{0.15\linewidth}%m
%\hfill
\parbox{0.6\linewidth}{\textcolor{ecs100}{\large \inserttitle}}
\hspace*{-1cm}

%\parbox{0.35\linewidth}{\tiny \insertauthor \; $|$ \insertdate} urspruenglich so gewesen
%\parbox{0.35\linewidth}{\tiny \insertauthor \; \newline \insertinstitute \newline \insertdate}
%\parbox{0.35\linewidth}{\tiny \insertauthor \; \newline \insertinstitute \newline \insertdate}
\hspace*{0.15\linewidth}
\parbox{0.48\linewidth}{\textcolor{ecs100}{\tiny \insertsubtitle}}
}
\leftskip 3em   % affects slides after title slide
}
}
